Hydrilla - Feature #59

Make existing fixes available in Hydrilla format
07/22/2021 12:24 PM - koszko

Status: Closed Start date: 07/02/2021
Priority: High Due date: 07/02/2021
Assignee: % Done: 100%
Category: Estimated time: 0.00 hour
Target version:

Description
Some fixes are currently bundled with Hachette. We should make them accessible to Hydrilla under /var/lib/hydrilla/content/.

Related issues:
Follows Haketilo - Feature #17: enable the extension to automatically fetch s... Closed 07/01/2021

History

#1 - 07/28/2021 07:09 AM - jahoti

Do you mean bundling them as part of the package for a package manager? | just converted them to the Hydrilla format and then realized | have no
idea what to do with them...

#2 - 07/28/2021 12:24 PM - koszko

Perhaps bundling as part of Hydrilla package but rather making them into a separate package. Anyway, It boils down to having them packagable as
.deb (also other package formats at some point).

Unfortunately, this will only make sense once | finish https://hachettebugs.koszko.org/issues/17

#3 - 07/28/2021 12:24 PM - koszko
- Due date set to 07/02/2021
- Start date changed from 07/22/2021 to 07/02/2021

- Follows Feature #17: enable the extension to automatically fetch script substitutes from the repo added

#4 - 08/13/2021 07:02 PM - koszko
- % Done changed from 0 to 10

Do you still have those converted fixes somewhere? As Hachette (from my branch) is now able to install scripts from Hydrilla, there's nothing that
stops us from serving them. For any future fixes you come up with, you can push them here: https:/git.koszko.org/hachette-fixes-demo/

For now | am manually copying the fixes from repo to Hydrilla's search dir on the server. | can instead set up a cron job to do that if you think it would
be useful

#5 - 08/14/2021 02:17 AM - jahoti

Do you still have those converted fixes somewhere? As Hachette (from my branch) is now able to install scripts from Hydrilla, there's nothing that
stops us from serving them. For any future fixes you come up with, you can push them here: https:/git.koszko.org/hachette-fixes-demo/

I think they're somewhere; if | can't find them, they shouldn't take too long to reconstruct (especially by scripting the task).
For now | am manually copying the fixes from repo to Hydrilla's search dir on the server. | can instead set up a cron job to do that if you think it
would be useful

Unless there's a particular difficulty involved with that, | think it would be useful.

As a secondary matter, should we keep both the Hachette- and Hydrilla-fix repositories or would it be better to automatically generate fixes in one
format from the other?

#6 - 08/14/2021 09:21 AM - koszko
- Priority changed from Normal to High

For now | am manually copying the fixes from repo to Hydrilla's search dir on the server. | can instead set up a cron job to do that if you
think it would be useful

Unless there's a particular difficulty involved with that, | think it would be useful.

Ok, I'll do that

As a secondary matter, should we keep both the Hachette- and Hydrilla-fix repositories or would it be better to automatically generate fixes in
one format from the other?

We could generate Hachette format from Hydrilla format. Actually, | thought Hydrilla would be "the" source to install from, without need to care about
Hachette format anymore. Well, if needed, it could be obtained by installing script from Hydrilla and then exporting it.

We can consider format translation an additional feature to add at some point: https://hachettebugs.koszko.org/issues/74

Update: | just set up a cron job to run every 10 minutes. You can check if it works by committing some Hydrilla-format fix :)
#7 - 08/15/2021 09:00 AM - jahoti

Update: | just set up a cron job to run every 10 minutes. You can check if it works by committing some Hydrilla-format fix :)

Sorry | got distracted from doing that previously! It's coming ASAP.

#8 - 09/03/2021 12:53 PM - koszko
- Status changed from New to Closed

- % Done changed from 10 to 100

Long done
